<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Esb\Api;

use Magento\Sales\Api\Data\ShipmentInterface;
/**
 * @api
 *
 * Interface ExternalShipmentInterface
 * @package FiloBlu\Esb\Api
 */
interface ExternalShipmentInterface
{

    /**
     * Save External shipment.
     *
     * @api
     * @param ShipmentInterface $shipment_data
     * @return \FiloBlu\Esb\Api\Data\AcknowledgeInterface
     */
    public function save(ShipmentInterface $shipment_data);

}